UiPath Documentation
test-cloud
latest
false

Guia da API do Test Cloud

Última atualização 5 de mai de 2026

Bulk Resolve Directory Entities by Name

Resolves multiple directory entities by their names in a single request, based on the organization ID. All entities in the request must be of the same type.

Ponto de Extremidade da API

POST {accessURL}/{organizationName}/identity_/api/Directory/BulkResolveByName/{partitionGlobalId}

Substitua {accessURL} em todos os caminhos do ponto de extremidade pelo URL base para sua plataforma de nuvem:

Cloud PlatformURL de acesso
Test Cloudhttps://cloud.uipath.com/
Test Cloud para o Setor Públicohttps://govcloud.uipath.us/
Test Cloud Dedicadohttps://{customURL}.dedicated.uipath.com/

Escopos

Requer os seguintes escopos:

  • PM.Directory

Cabeçalhos de solicitação.

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Observação:

Para obter o {access_token}, certifique-se de se autenticar por meio de um dos métodos descritos aqui.

Parâmetros do caminho

Parâmetro do caminhoTipo de dadosDescription
partitionGlobalId (obrigatório)String (GUID)The ID of the organization to resolve the entities within.

Corpo da Solicitação

The request body specifies the entity names to resolve. Unlike BulkResolve, all entities must be of the same type.

{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User",
    "scope": null
}
{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User",
    "scope": null
}
PropriedadeTipo de dadosDescription
entityNames (obrigatório)Array of stringsThe names of the directory entities to resolve (e.g., email addresses for users, group names for groups).
entityType (obrigatório)StringThe type of all entities in the request. Valid values: User, Group, Application.
scope (opcional)StringOptional scope for active directory entities.

Resposta

200 OK

Returns a dictionary mapping each entity name to its resolved directory entity. Entities that could not be resolved are returned as null.

{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}
{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}

400 Bad Request

Returned when required parameters are missing or invalid.

Exemplo de solicitação

Digamos que você reuniu todas as informações necessárias para criar a chamada de API.

A chamada deve ser semelhante ao seguinte exemplo (cURL):

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User"
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityNames": [
        "john.doe@example.com",
        "jane.smith@example.com"
    ],
    "entityType": "User"
}'

Aqui está o body da resposta de uma chamada bem-sucedida:

{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}
{
    "john.doe@example.com": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "jane.smith@example.com": null
}

Esta página foi útil?

Conectar

Precisa de ajuda? Suporte

Quer aprender? Academia UiPath

Tem perguntas? Fórum do UiPath

Fique por dentro das novidades